> ## Documentation Index
> Fetch the complete documentation index at: https://doc.hpay.host-sl.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Connect Account

> Delete the Stripe Connect account associated with a wallet's owner.

Deletes the user's Stripe Connect account and clears it from their record. They will need to complete onboarding again to receive card payouts.

### Query Parameters

<ParamField query="wallet_id" type="string" required>
  The wallet whose owner's Connect account to delete.
</ParamField>

### Response

<ResponseExample>
  ```json 200 theme={null}
  {
    "message": "Connect account deleted successfully"
  }
  ```

  ```json 400 theme={null}
  {
    "detail": "User does not have a Stripe Connect account."
  }
  ```
</ResponseExample>

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://hpay-api.host-sl.com/api/v1/transactions/wallet/connect/delete?wallet_id=9a8b7c6d-...' \
    --header 'api-key: YOUR_API_KEY' \
    --header 'secret-key: YOUR_SECRET_KEY'
  ```

  ```python Python theme={null}
  from hostpay import HostPay

  client = HostPay(api_key="YOUR_API_KEY", secret_key="YOUR_SECRET_KEY")

  client.connect.delete("9a8b7c6d-...")
  ```

  ```typescript TypeScript theme={null}
  import { HostPay } from "@hostpay/sdk";

  const client = new HostPay({ apiKey: "YOUR_API_KEY", secretKey: "YOUR_SECRET_KEY" });

  await client.connect.delete("9a8b7c6d-...");
  ```
</RequestExample>
